
import { BasicColumn, FormSchema } from '@/components/Table';


/** 列表筛选项*/
export const searchFormSchema: FormSchema[] = [

  {
    field: 'APIName',
    label: ' ',
    component: 'Input',
    colProps: { span: 8.1 },
    componentProps: {
      placeholder: '输入API名称进行搜索',
    },
  },
  {
    field: 'APIModel',
    label: ' ',
    component: 'Select',
    colProps: { span: 6 },
    componentProps: {
      placeholder: 'API模式',
      options: [
        { label: 'SQL模式', value: 'SQL模式' },
        { label: '托管模式', value: '托管模式' },
        { label: '向导模式', value: '向导模式' },
      ],
    },
  },


];

/** 列表展示字段*/
export const columns: BasicColumn[] = [
  {
    title: '字段名',
    dataIndex: 'fieldName',
    width: 120,
  },
  {
    title: '字段类型',
    dataIndex: 'fieldType',
    width: 100,
  },
  {
    title: '字段code',
    dataIndex: 'fieldCode',
    width: 100,
  },
  {
    title: 'API名称',
    dataIndex: 'APIName',
    width: 140,
  },
  {
    title: '路径',
    dataIndex: 'path',
    width: 140,
  },
  {
    title: 'API模式',
    dataIndex: 'APIModel',
    width: 140,
  },
];


export const FieldProtectionRules: BasicColumn[] = [
  {
    title: '对象',
    dataIndex: 'object',
    width: 120,
  },
  {
    title: '对象属性',
    dataIndex: 'objectProperties',
    width: 120,
  },
  {
    title: '优先级',
    dataIndex: 'priority',
    width: 100,
  },
  {
    title: '保护动作',
    dataIndex: 'ProtectiveAction',
    width: 100,
  },

];


/** 添加规则表单字段*/
export const formSchema: any[] = [
  {
    field: 'priority',
    label: '优先级',
    component: 'Select',
    colProps: { span: 4 },
    componentProps: {
      // placeholder: '优先级',
      options: [

      ],
    },
    rules: [
      {
        required: true,
        // message: '请选择保护动作',
      },
    ],
  },
  {
    field: 'ProtectiveAction',
    label: '保护动作',
    component: 'Select',
    colProps: { span: 4 },
    componentProps: {
      // placeholder: '保护动作',
      options: [
        // { label: '放行', value: '放行' },
        // { label: '脱敏', value: '脱敏' },
        // { label: '拒绝', value: '拒绝' },
      ],
    },
    rules: [
      {
        required: true,
        // message: '请选择保护动作',
      },
    ],
  },
  {
    field: 'protectiveActionFun',
    label: '脱敏算法',
    component: 'Select',
    colProps: { span: 4 },
    componentProps: {
      placeholder: '脱敏算法',
      options: [
        { label: 'Unbase64', value: 'Unbase64' },
      ],
    },
    ifShow: ({ values }) => values.protectiveAction === '脱敏',
    rules: [
      {
        required: true,
        message: '请选择脱敏算法',
      },
    ],
  },
  {
    field: 'name',
    label: '算法参数',
    component: 'Input',
    colProps: { span: 4 },
    componentProps: {
      placeholder: '算法参数',
    },
    ifShow: ({ values }) => values.protectiveAction === '脱敏',
  },
]


/** 查看编辑表单字段*/
export const sensitiveFormSchema: any[] = [
  {
    field: 'object',
    label: '对象',
    component: 'Input',
    colProps: { span: 3 },
  },
  {
    field: 'objectProperties',
    label: '对象属性',
    component: 'Select',
    colProps: { span: 3 },
    componentProps: {
      placeholder: '属性类型',
      options: [
        { label: '用户', value: '用户' },
        { label: '机构', value: '机构' },

      ],
    },
  },
  {
    field: 'priority',
    label: '优先级',
    component: 'Select',
    colProps: { span: 4 },
    componentProps: {
      // placeholder: '优先级',
      options: [

      ],
    },
    rules: [
      {
        required: true,
        // message: '请选择保护动作',
      },
    ],
  },
  {
    field: 'ProtectiveAction',
    label: '保护动作',
    component: 'Select',
    colProps: { span: 4 },
    componentProps: {
      // placeholder: '保护动作',
      options: [
        { label: '放行', value: '放行' },
        { label: '脱敏', value: '脱敏' },
        { label: '拒绝', value: '拒绝' },
      ],
    },
    rules: [
      {
        required: true,
        // message: '请选择保护动作',
      },
    ],
  },
]


export const roleColumn: BasicColumn[] = [
  {
    title: '全部角色',
    dataIndex: 'name'
  },
];
export const roleColumn2: BasicColumn[] = [
  {
    title: '全部用户',
    dataIndex: 'name'
  },
];


